/**
 * Arduino Sketch für SmartHome yourself - Arduino Lehrgang
 * 
 * Tag 14: Serielle Eingabe
 * In diesem Sketch lesen wir serielle Eingaben ein und geben diese auf dem LCD Display aus. 
 * 
 * https://www.arduino.cc/reference/en/language/functions/communication/serial/available/
 * https://www.arduino.cc/reference/en/language/functions/communication/serial/read/
 * 
 * By Daniel Scheidler - Dezember 2019
 */
#include <LiquidCrystal.h>            // Library für das LCD einbinden

// Pins fürs LCD festlegen
const unsigned int LCD_ENABLE_PIN = 8;
const unsigned int LCD_REG_SELECT_PIN = 9;

const unsigned int LCD_DATA4_PIN = 4;
const unsigned int LCD_DATA5_PIN = 5;
const unsigned int LCD_DATA6_PIN = 6;
const unsigned int LCD_DATA7_PIN = 7;

LiquidCrystal lcd(LCD_ENABLE_PIN, LCD_REG_SELECT_PIN, LCD_DATA4_PIN, LCD_DATA5_PIN, LCD_DATA6_PIN, LCD_DATA7_PIN);  // LCD-Pins festlegen

void setup() {
  lcd.begin(16, 2);                   // LCD mit Spalten- und Zeilenanzahl initialisieren
  Serial.begin(9600);                 // Serielle Kommunikation initialisieren
}

void loop() {
  if (Serial.available()) {           // Prüfen ob Zeichen über seriellen Port ankommen
    delay(100);                       // Einen Moment abwarten damit die gesamte Nachricht vorhanden ist
    lcd.clear();                      // LCD Anzeige leeren
    
    while (Serial.available() > 0) {  // Solange Zeichen auf seriellem Monitor ankommen... 
      lcd.write(Serial.read());       // Zeichen von seriellem Monitor einlesen und auf LCD ausgeben
    }
  }
}
